<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:26 GMT 2019 -->
<title>P-Index</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="P-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="../player/Bank.html#pay-player.Player-int-">pay(Player, int)</a></span> - Method in class player.<a href="../player/Bank.html" title="class in player">Bank</a></dt>
<dd>
<div class="block">Simple way to send money to a player from the bank</div>
</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#pay-player.People-int-">pay(People, int)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>
<div class="block">Returns true if Player was has enough money to complete 
 transaction and money is successfully paid.</div>
</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#payAll-java.util.ArrayList-int-">payAll(ArrayList&lt;Player&gt;, int)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>
<div class="block">Pays everyone a certain amount each</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Game.html#payRepairs-int-int-player.Player-">payRepairs(int, int, Player)</a></span> - Method in class game.<a href="../game/Game.html" title="class in game">Game</a></dt>
<dd>
<div class="block">Pay Repairs Card implementation method</div>
</dd>
<dt><a href="../player/People.html" title="interface in player"><span class="typeNameLink">People</span></a> - Interface in <a href="../player/package-summary.html">player</a></dt>
<dd>
<div class="block">Loosely Ties Together Bank and Player</div>
</dd>
<dt><a href="../player/package-summary.html">player</a> - package player</dt>
<dd>&nbsp;</dd>
<dt><a href="../player/Player.html" title="class in player"><span class="typeNameLink">Player</span></a> - Class in <a href="../player/package-summary.html">player</a></dt>
<dd>
<div class="block">Player Class</div>
</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#Player-java.lang.String-java.lang.String-">Player(String, String)</a></span> - Constructor for class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../tests/PlayerTest.html" title="class in tests"><span class="typeNameLink">PlayerTest</span></a> - Class in <a href="../tests/package-summary.html">tests</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/PlayerTest.html#PlayerTest--">PlayerTest()</a></span> - Constructor for class tests.<a href="../tests/PlayerTest.html" title="class in tests">PlayerTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printAuction-java.util.ArrayList-board.PurchaseableSquare-">printAuction(ArrayList&lt;Player&gt;, PurchaseableSquare)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printAvailableToBuy-board.PurchaseableSquare-int-">printAvailableToBuy(PurchaseableSquare, int)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printBoard-board.Board-java.util.ArrayList-player.Bank-">printBoard(Board, ArrayList&lt;Player&gt;, Bank)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>
<div class="block">Outputs the board including the locations of the players, ownership, houses,and hotels</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printBoughtJailCard-player.Player-player.Player-int-">printBoughtJailCard(Player, Player, int)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printBuilt--">printBuilt()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printCardAction-java.lang.String-">printCardAction(String)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printEmptyHand--">printEmptyHand()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printExit--">printExit()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printFinalScores-java.util.ArrayList-java.util.ArrayList-">printFinalScores(ArrayList&lt;Player&gt;, ArrayList&lt;Player&gt;)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printGetTradeOffer-java.lang.String-">printGetTradeOffer(String)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printGetTradeProposition-java.lang.String-">printGetTradeProposition(String)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printHand-player.Player-">printHand(Player)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printHousesAndHotels-int-int-">printHousesAndHotels(int, int)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printInvalidInput--">printInvalidInput()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printIsMortgaged--">printIsMortgaged()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printJailOptions--">printJailOptions()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>
<div class="block">What options are presented to the player when they are in jail</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printKeepGoing--">printKeepGoing()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>
<div class="block">All Possible Extra Moves</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printMoneyTransaction-player.People-int-player.People-">printMoneyTransaction(People, int, People)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printMortgaged-board.PurchaseableSquare-">printMortgaged(PurchaseableSquare)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printNoJailCard--">printNoJailCard()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printNotEnoughMoney--">printNotEnoughMoney()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printNoValid--">printNoValid()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printPlayerPosition-player.Player-board.Board-">printPlayerPosition(Player, Board)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printPlayers-java.util.ArrayList-">printPlayers(ArrayList&lt;Player&gt;)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printPlayersExcept-java.util.ArrayList-player.Player-">printPlayersExcept(ArrayList&lt;Player&gt;, Player)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printProperties-player.Player-">printProperties(Player)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printRemainingHouses-player.Bank-">printRemainingHouses(Bank)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printRollMessage-int-int-">printRollMessage(int, int)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>
<div class="block">Communicates the player's roll and if they got a double</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printSold--">printSold()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printStatus-player.Player-board.Board-">printStatus(Player, Board)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printTax-player.Player-">printTax(Player)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printTooManyHouses-int-">printTooManyHouses(int)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printTradeWhat--">printTradeWhat()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printTradeWhich--">printTradeWhich()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printTradeWith-player.Player-">printTradeWith(Player)</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#printYouOwnThis--">printYouOwnThis()</a></span> - Method in class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../board/Property.html" title="class in board"><span class="typeNameLink">Property</span></a> - Class in <a href="../board/package-summary.html">board</a></dt>
<dd>
<div class="block">Monopoly Property</div>
</dd>
<dt><span class="memberNameLink"><a href="../board/Property.html#Property-java.lang.String-int-board.Colour-int-int-int-int-int-int-int-int-int-">Property(String, int, Colour, int, int, int, int, int, int, int, int, int)</a></span> - Constructor for class board.<a href="../board/Property.html" title="class in board">Property</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../board/PurchaseableSquare.html" title="class in board"><span class="typeNameLink">PurchaseableSquare</span></a> - Class in <a href="../board/package-summary.html">board</a></dt>
<dd>
<div class="block">Any purchaseable square in monopoly</div>
</dd>
<dt><span class="memberNameLink"><a href="../board/PurchaseableSquare.html#PurchaseableSquare-java.lang.String-int-int-int-">PurchaseableSquare(String, int, int, int)</a></span> - Constructor for class board.<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
